Enrollments granted per day for a course over a trailing window
GET /api/courses/{id}/analytics/enrollments. Enrollments granted per day for a course over a trailing window. Headless LMS Reporting API reference.
Requires progress:read.
Path Parameters
id*string
Query Parameters
days?integer
Range
1 <= value <= 365Default
30Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/courses/string/analytics/enrollments"[ { "date": "string", "count": -9007199254740991 }]{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Completion and engagement stats for a course GET
GET /api/courses/{id}/analytics. Completion and engagement stats for a course. Headless LMS Reporting API reference.
List a course's learners with their access and progress GET
GET /api/courses/{courseId}/learners. List a course's learners with their access and progress. Headless LMS Reporting API reference.